Due to some maintenance issues, this service has been switched in read-only mode, you can find more information about the why

and how to migrate your plugin documentation in this blogpost

Skip to end of metadata
Go to start of metadata

Jenkins web browser support falls into one of three classes:

  1. Level 1:  Aim to proactively fix these browsers and provide an equal UX across all.
  2. Level 2:  Accept patches to fix issues and make a best effort to ensure there is at least one way to do any action.
  3. Level 3:  No guarantees. We will accept patches, but only if they are low risk. This is the default unless a browser/version is listed below.

We do not claim any compatibility with, or accept bug reports and patches, for pre-release (e.g. alpha, beta or canary) versions of browsers.

Browser

Level 1

Level 2

Comment(s)

Google Chrome

Latest regular release

 


Mozilla Firefox

Latest regular release
Latest ESR release

 

 

Microsoft Internet Explorer

Version 11

Versions 9 and 10

Specific OS Versions?

Apple Safari

Versions 6 and newer

Version 5 release (OS X only)

 

These rules were adopted on 2014-09-03 for Jenkins 1.579 and up.

Unless otherwise noted, only the latest minor release / patch level of each version is supported.

Support for mobile browsers (e.g. iOS Safari) has not yet been determined

  • No labels

2 Comments

  1. Unknown User (drulli)

    Is Safari really in level 1? Due to JENKINS-17516 (3 years old), Safari is almost useless for pipelines.

  2. Unknown User (bkmeneguello)

    Is this updated?

    Is IE 11 the current baseline for Microsoft browsers?